## wmmemload 0.1.6

=== doc/Makefile ===
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/wmmemload
pkglibdir = $(libdir)/wmmemload
pkgincludedir = $(includedir)/wmmemload

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = /home/mstagg/Development/markstaggs.net/wmmemload/wmmemload-0.1.4/missing autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
AWK = mawk
CC = gcc
DFLAGS = 
HEADER_SEARCH_PATH =   -I/usr/X11R6/include -I/usr/local/include
LIBRARY_SEARCH_PATH =   -L/usr/X11R6/lib -L/usr/local/lib
LIBS = 
LN_S = ln -s
MAKEINFO = makeinfo
OS = linux
PACKAGE = wmmemload
SETGID_FLAGS = 
VERSION = 0.1.4
XCFLAGS =  -I/usr/X11R6/include
XLFLAGS =  -L/usr/X11R6/lib
XLIBS = -lX11  -lXext -lXpm
X_EXTRA_LIBS = 
X_LIBRARY_PATH = /usr/X11R6/lib

man_MANS = wmmemload.1

EXTRA_DIST = $(man_MANS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps doc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-man
uninstall: uninstall-am
all-am: Makefile $(MANS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(mandir)/man1


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: install-man1 uninstall-man1 install-man uninstall-man tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## wmmemload 0.1.7

=== debian/changelog ===
wmmemload (0.1.7-2) unstable; urgency=medium

  * debian/patches
    - (sysctl_swap.patch) Update configure.ac to remove -lkvm
      from LIBS. Fixes FTBFS on kfreebsd.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 14 Oct 2014 01:31:21 -0500

wmmemload (0.1.7-1) unstable; urgency=medium

  * New upstream release.
    - Add support for newer Linux kernels (Closes: #749216).
    - Add support for the Hurd and GNU/kFreeBSD (Closes: #764356).
  * debian/docs
    - New file.
  * debian/patches
    - (sysctl_swap.patch) Use sysctl to get swap usage information for
      GNU/kFreeBSD.
  * debian/rules
    - Add --no-symlink option to uscan in get-orig-source target.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 13 Oct 2014 14:49:11 -0500

wmmemload (0.1.6+20141004-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * New maintainer (Closes: #763099).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9
    - Remove Build-Depends on quilt, autotools-dev, and libxt-dev.
    - Add Build-Depends on dh-autoreconf.
    - Bump Standards-Version to 3.9.6, no changes required.
    - Add Homepage.
    - Update Vcs-*.
  * debian/copyright
    - Add header paragraph and some reformatting.
  * debian/dirs
    - Remove unnecessary file.
  * debian/patches
    - Remove directory; all patches either unnecessary with dh-autoreconf
      or applied upstream.
  * debian/README.source
    - Remove unnecessary file.
  * debian/rules
    - Update to use dh.
    - Add get-orig-source target.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - Update with new download location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 04 Oct 2014 14:42:17 -0500

wmmemload (0.1.6-8) unstable; urgency=low

  * Orphan package.

 -- Philipp Benner <philipp@debian.org>  Sat, 27 Sep 2014 17:16:20 +0200

wmmemload (0.1.6-7) unstable; urgency=low

  * Use quilt instead of dpatch.
  * Add patch for kernel 3.0.

 -- Philipp Benner <philipp@debian.org>  Sat, 12 Nov 2011 10:52:48 +0000

wmmemload (0.1.6-6) unstable; urgency=low

  * Fix errors in manual page.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 02 Jun 2008 16:42:43 +0200

wmmemload (0.1.6-5) unstable; urgency=low

  * Update maintainer e-mail address.
  * debian/control
    - Add DM-Upload-Allowed: yes.
    - Bump Standard-Version to 3.7.3.
    - Add Homepage field.
  * debian/copyright
    - Use UTF-8 encoding.
    - Convert to machine interpretable format.
  * debian/dirs
    - Remove usr/sbin/.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 14 Jan 2008 18:26:42 +0100

wmmemload (0.1.6-4) unstable; urgency=low

  * New maintainer (Closes: #427136).
  * Bump Standards-Version to 3.7.2.
  * Update config.sub and config.guess during the build process.
  * Use dpatch to create stamp-h.in to prevent execution of autoheader.
  * Update menu.
  * Add new watch file.
  * Update copyright file.

 -- Philipp Benner <mail@philipp-benner.de>  Wed, 25 Jul 2007 18:25:25 +0200

wmmemload (0.1.6-3) unstable; urgency=low

  * QA upload.
  * Fix FTBFS on GNU/kFreeBSD by matching "linux*|k*bsd*|gnu*" instead of only
    "linux*". Since the diff is minimal, the patch has been applied to both
    configure.ac and configure, without rerunning autotools (Closes: #415593).
  * Use debian/compat instead of exporting DH_COMPAT in debian/rules.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 06 Jul 2007 19:58:34 +0200

wmmemload (0.1.6-2) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Gordon Fraser <gordon@debian.org>  Sat, 02 Jun 2007 06:15:38 +0200

wmmemload (0.1.6-1) unstable; urgency=low

  * New upstream release (Closes: #325087).
  * Fix build dependencies (Closes: #346978).

 -- Gordon Fraser <gordon@debian.org>  Sun, 15 Jan 2006 14:19:28 +0100

wmmemload (0.1.5-2) unstable; urgency=low

  * Revert accidental changes to automake-files that would
    cause a build-dep on automake (Closes: #218277).

 -- Gordon Fraser <gordon@debian.org>  Sun,  2 Nov 2003 17:32:49 +0100

wmmemload (0.1.5-1) unstable; urgency=low

  * New maintainer (Closes: #216754).
  * New upstream release.
  * debian/rules
    - Clean up, improve support for DEB_BUILD_OPTIONS.
  * Add menu entry
  * debian/control
    - Bump Standards-Version to 3.6.1.
  * Update debian/copyright.
  * Update description, include upstream homepage.
  * Use manpage provided by upstream with minor corrections
    instead of debian/wmmemload.1.

 -- Gordon Fraser <gordon@debian.org>  Mon, 20 Oct 2003 21:45:30 +0200

wmmemload (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Søren Boll Overgaard <boll@debian.org>  Mon, 24 Jun 2002 23:23:18 +0200

wmmemload (0.1.3-4) unstable; urgency=low

  * Install a bit of upstream documentation.
  * Remove useless calls to dh_*.
  * Clean up man page.

 -- Søren Boll Overgaard <boll@debian.org>  Sat,  1 Jun 2002 19:00:29 +0200

wmmemload (0.1.3-3) unstable; urgency=low

  * Support all architectures. No functional change.

 -- Søren Boll Overgaard <boll@debian.org>  Tue, 30 Apr 2002 01:07:10 +0200

wmmemload (0.1.3-2) unstable; urgency=low

  * Fix building error on sparc (Closes: #144732).
  * Only support i386 architecture until upstream officially supports others.
  * Make sure the Makefile exists when calling make distclean.

 -- Søren Boll Overgaard <boll@debian.org>  Mon, 29 Apr 2002 10:37:35 +0200

wmmemload (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #144190).

 -- Søren Boll Overgaard <boll@debian.org>  Tue, 23 Apr 2002 11:51:32 +0200

=== debian/control ===
Source: wmmemload
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>=9), dh-autoreconf, libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmmemload
Vcs-Browser: https://github.com/d-torrance/wmmemload
Vcs-Git: https://github.com/d-torrance/wmmemload.git

Package: wmmemload
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WindowMaker dockapp to monitor memory and swap usage
 wmmemload displays the current memory and swap usage as a percentage
 value. It is based on wmcpuload and wmmemmon, and as such looks very
 nice alongside those.
 .
 wmmemload is designed to work with the WindowMaker dock, but will work with
 other window managers as well.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmmemload-*.download ; then \
		rename -fv "s/wmmemload-(.+)\.download/wmmemload_\1\.orig\.tar\.gz/" \
			../wmmemload-*.download; \
	fi

## wmmemload 0.1.8

=== debian/changelog ===
wmmemload (0.1.8-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Update email address.
    - Add newline at end of file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 23 Aug 2015 23:08:30 -0400

wmmemload (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - Remove directory; patch added upstream.
  * debian/rules
    - Split options to rename in get-orig-source target; needed for some
      versions of rename.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 07 Apr 2015 08:27:16 -0500

=== debian/control ===
Source: wmmemload
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmmemload
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmmemload.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmmemload.git

Package: wmmemload
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WindowMaker dockapp to monitor memory and swap usage
 wmmemload displays the current memory and swap usage as a percentage
 value. It is based on wmcpuload and wmmemmon, and as such looks very
 nice alongside those.
 .
 wmmemload is designed to work with the WindowMaker dock, but will work with
 other window managers as well.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmmemload-*.download ; then \
		rename -f -v "s/wmmemload-(.+)\.download/wmmemload_\1\.orig\.tar\.gz/" \
			../wmmemload-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmmemload \?download=wmmemload-(.+).tar.gz
